diff --git "a/C:\\Users\\pOpY\\AppData\\Local\\Temp\\TortoiseGit\\TVU205D.tmp\\TVUtil-18b5a76-left.cs" "b/E:\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TVUtil.cs"
index 497027c..06acd39 100644
--- "a/C:\\Users\\pOpY\\AppData\\Local\\Temp\\TortoiseGit\\TVU205D.tmp\\TVUtil-18b5a76-left.cs"
+++ "b/E:\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TVUtil.cs"
@@ -328,6 +328,31 @@ namespace TvPlugin
                 string parentFolderName = dirInfo.Name;
                 fileName = TVHome.RecordingPath() + "\\" + parentFolderName + "\\" + fileName;
               }
+
+              fileExists = File.Exists(fileName);
+
+              if (!fileExists)
+              //check with foldername from set UNC Path
+              {
+                //Get last foldername of RecordingPath
+                  string parentFolderNameRecording = Path.GetFileName(TVHome.RecordingPath().TrimEnd(Path.DirectorySeparatorChar));
+                parentFolderNameRecording = @"\" + parentFolderNameRecording.Replace(@"\","\"\"") + @"\";       //Replace "\" with "" and add a "\" at the beginning and end (good for searching the path in the recording filename)
+
+                //Search the last folder of the set recording path in var rec.FileName 
+                int iPos = rec.FileName.IndexOf(parentFolderNameRecording);
+                if (iPos != -1)
+                {
+                    //We have found the last Folder of the set recording path in var rec.FileName 
+
+                    //Cut the first string (ussaly the TV Server Local Path) and remove the last Recording Folder from string
+                    fileName = rec.FileName.Substring(iPos).Replace(parentFolderNameRecording, "");
+
+                    //Add the recording path
+                    fileName = TVHome.RecordingPath() + "\\" + fileName;
+                }
+
+              }
+
             }
             else
             {
@@ -372,7 +397,7 @@ namespace TvPlugin
       string chapters = useRTSP ? TVHome.TvServer.GetChaptersForFileName(rec.IdRecording) : null;
 
       Log.Info("PlayRecording:{0} - using rtsp mode:{1}", fileName, useRTSP);
-      if (g_Player.Play(fileName, mediaType, chapters))
+      if (g_Player.Play(fileName, mediaType, chapters, false)) // Force to use TsReader if true it will use Movie Codec and Splitter
       {
         if (Utils.IsVideo(fileName) && !g_Player.IsRadio)
         {
